Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.model
Class DefaultDocumentModel

    java.lang.Object
      com.bea.p13n.model.DefaultDocumentModel

All Implemented Interfaces
  DocumentModel, Serializable

Direct Known Subclasses:
  CampaignModelDocument, PlaceholderModelDocument, RuleModelDocument, RuleSetModelDocument, ScenarioModelDocument

    public class DefaultDocumentModel

extends Object
implements DocumentModel

A default implementation of DocumentModel.

See Also
  Serialized Form

Constructor Summary
`DefaultDocumentModel()` Default constructor.
`DefaultDocumentModel(Model rootModel)` Constructor with root model.

Method Summary
`void` | `addChangeListener(Model.ChangeListener l)` Add a model change listener.
`Model` | `getRootModel()` Get the root model for this document.
`void` | `modelChildAdded(Model parent, Model child)` Callback from a model change event for a child model added.
`void` | `modelChildRemoved(Model parent, Model child)` Callback from a model change event for a child model removed.
`void` | `modelPropertyChanged(Model m, String propName, Object oldVal, Object newVal)` Callback from a model change event for a property change.
`boolean` | `removeChangeListener(Model.ChangeListener l)` Remove a model change listener.
`void` | `setRootModel(Model newRoot)` Set the root model for this document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDocumentModel

    public DefaultDocumentModel(Model rootModel)

  Constructor with root model.

### DefaultDocumentModel

    public DefaultDocumentModel()

  Default constructor.

Method Detail

### getRootModel

    public Model getRootModel()

  Get the root model for this document.

  Specified by:
    `getRootModel` in interface `DocumentModel`

### setRootModel

    public void setRootModel(Model newRoot)

  Set the root model for this document.

### addChangeListener

    public void addChangeListener(Model.ChangeListener l)

  Add a model change listener.

  Specified by:
    `addChangeListener` in interface `DocumentModel`

### removeChangeListener

    public boolean removeChangeListener(Model.ChangeListener l)

  Remove a model change listener.

  Specified by:
    `removeChangeListener` in interface `DocumentModel`
  Returns
    true if removed, false if not found.

### modelPropertyChanged

    public void modelPropertyChanged(Model m,
                                     String propName,
                                     Object oldVal,
                                     Object newVal)

  Callback from a model change event for a property change.

  Specified by:
    `modelPropertyChanged` in interface `DocumentModel`
  Parameters
    `m` - the model (contained in this document).
    `propName` - the property name that changed.
    `oldVal` - the old value (null is valid).
    `newVal` - the new value (null is valid).

### modelChildAdded

    public void modelChildAdded(Model parent,
                                Model child)

  Callback from a model change event for a child model added.

  Specified by:
    `modelChildAdded` in interface `DocumentModel`
  Parameters
    `parent` - the parent model.
    `child` - the child model.

### modelChildRemoved

    public void modelChildRemoved(Model parent,
                                  Model child)

  Callback from a model change event for a child model removed.

  Specified by:
    `modelChildRemoved` in interface `DocumentModel`
  Parameters
    `parent` - the parent model.
    `child` - the child model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.